gr::radar::os_cfar_c_impl Class Reference

`#include <os_cfar_c_impl.h>`

Inheritance diagram for gr::radar::os_cfar_c_impl:

## Public Member Functions

| os_cfar_c_impl (int samp_rate, int samp_compare, int samp_protect, float rel_threshold, float mult_threshold, bool merge_consecutive, const std::string &len_key)
| ~os_cfar_c_impl ()
void | set_rel_threshold (float inp)
void | set_mult_threshold (float inp)
void | set_samp_compare (int inp)
void | set_samp_protect (int inp)
int | work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Public Attributes

int | d_samp_compare
int | d_samp_protect
int | d_samp_rate
float | d_rel_threshold
float | d_mult_threshold
bool | d_merge_consecutive
bool | d_consecutive
std::vector< float > | d_pks
std::vector< float > | d_freq
std::vector< float > | d_angle
std::vector< float > | d_hold_samp
pmt::pmt_t | d_port_id
pmt::pmt_t | d_ptimestamp
pmt::pmt_t | d_pfreq
pmt::pmt_t | d_ppks
pmt::pmt_t | d_pangle
pmt::pmt_t | d_value
std::vector< tag_t > | d_tags

## Protected Member Functions

int | calculate_output_stream_length (const gr_vector_int &ninput_items)

## Additional Inherited Members

Public Types inherited from gr::radar::os_cfar_c
typedef std::shared_ptr< os_cfar_c > | sptr
Static Public Member Functions inherited from gr::radar::os_cfar_c
static sptr | make (int samp_rate, int samp_compare, int samp_protect, float rel_threshold, float mult_threshold, bool merge_consecutive=true, const std::string &len_key="packet_len")
| Return a shared_ptr to a new instance of radar::os_cfar_c.

## Constructor & Destructor Documentation

## os_cfar_c_impl()

gr::radar::os_cfar_c_impl::os_cfar_c_impl | ( | int | samp_rate,
|  | int | samp_compare,
|  | int | samp_protect,
|  | float | rel_threshold,
|  | float | mult_threshold,
|  | bool | merge_consecutive,
|  | const std::string & | len_key )

## ~os_cfar_c_impl()

gr::radar::os_cfar_c_impl::~os_cfar_c_impl | ( |  | ) |

## Member Function Documentation

## calculate_output_stream_length()

int gr::radar::os_cfar_c_impl::calculate_output_stream_length | ( | const gr_vector_int & | ninput_items | ) |

protected

## set_mult_threshold()

void gr::radar::os_cfar_c_impl::set_mult_threshold | ( | float | inp | ) |

virtual

Implements gr::radar::os_cfar_c.

## set_rel_threshold()

void gr::radar::os_cfar_c_impl::set_rel_threshold | ( | float | inp | ) |

virtual

Implements gr::radar::os_cfar_c.

## set_samp_compare()

void gr::radar::os_cfar_c_impl::set_samp_compare | ( | int | inp | ) |

virtual

Implements gr::radar::os_cfar_c.

## set_samp_protect()

void gr::radar::os_cfar_c_impl::set_samp_protect | ( | int | inp | ) |

virtual

Implements gr::radar::os_cfar_c.

## work()

int gr::radar::os_cfar_c_impl::work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## Member Data Documentation

## d_angle

std::vector<float> gr::radar::os_cfar_c_impl::d_angle

## d_consecutive

bool gr::radar::os_cfar_c_impl::d_consecutive

## d_freq

std::vector<float> gr::radar::os_cfar_c_impl::d_freq

## d_hold_samp

std::vector<float> gr::radar::os_cfar_c_impl::d_hold_samp

## d_merge_consecutive

bool gr::radar::os_cfar_c_impl::d_merge_consecutive

## d_mult_threshold

float gr::radar::os_cfar_c_impl::d_mult_threshold

## d_pangle

pmt::pmt_t gr::radar::os_cfar_c_impl::d_pangle

## d_pfreq

pmt::pmt_t gr::radar::os_cfar_c_impl::d_pfreq

## d_pks

std::vector<float> gr::radar::os_cfar_c_impl::d_pks

## d_port_id

pmt::pmt_t gr::radar::os_cfar_c_impl::d_port_id

## d_ppks

pmt::pmt_t gr::radar::os_cfar_c_impl::d_ppks

## d_ptimestamp

pmt::pmt_t gr::radar::os_cfar_c_impl::d_ptimestamp

## d_rel_threshold

float gr::radar::os_cfar_c_impl::d_rel_threshold

## d_samp_compare

int gr::radar::os_cfar_c_impl::d_samp_compare

## d_samp_protect

int gr::radar::os_cfar_c_impl::d_samp_protect

## d_samp_rate

int gr::radar::os_cfar_c_impl::d_samp_rate

## d_tags

std::vector<tag_t> gr::radar::os_cfar_c_impl::d_tags

## d_value

pmt::pmt_t gr::radar::os_cfar_c_impl::d_value

The documentation for this class was generated from the following file:

- os_cfar_c_impl.h